Bug 108988 - Add a command line switch to sysklogd to allow binding to a specific address.
Add a command line switch to sysklogd to allow binding to a specific address.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
http://caspian.dotconf.net/menu/Softw...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 20:48 EST by Brandon Zehm
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch against Redhat 9's sysklogd-1.4.1-12.src.rpm (3.62 KB, patch)
2003-11-03 20:50 EST, Brandon Zehm
no flags Details | Diff
An updated srpm with the above patch applied. (100.52 KB, application/octet-stream)
2003-11-03 20:51 EST, Brandon Zehm
no flags Details

  None (edit)
Description Brandon Zehm 2003-11-03 20:48:07 EST
Description of problem: 
When syslogd is configured to log to a remote address via the @addr syntax in /etc/
syslog.conf, syslogd always binds to the 0.0.0.0 interface.  This behavior can be very 
undesirable in certain circumstances (say, for example,  that you needed to forward 
syslog messages to a local daemon listening on 127.0.0.2 but couldn't because syslogd 
was already listening on 0.0.0.0.)  I have linked to (and attached) a patch that adds a 
"-b <addr>" command line switch to syslogd that will allow you to specify what 
address syslogd should bind to when forwarding syslog messages. 
 
The patch against Redhat 9's sysklogd-1.4.1-12.src.rpm: http://caspian.dotconf.net/
menu/Software/Misc/sysklogd-bind-addr-redhat-srpm.patch 
The actual updated src rpm: http://caspian.dotconf.net/menu/Software/Misc/
sysklogd-1.4.1-13.src.rpm 
 
 
 
Version-Release number of selected component (if applicable): 
sysklogd-1.4.1-12.src.rpm 
 
How reproducible: 
100% 
 
Steps to Reproduce: 
1. Add this line to /etc/syslog.conf:  *.*    @127.0.0.2 
2. Run: killall -HUP syslogd 
3. Run: netstat -lnp and notice that syslogd is bound to 0.0.0.0:514 
   
Actual results: 
syslogd is bound to 0.0.0.0, but doesn't need to be.   
 
Expected results: 
In this case it would be nice if it was bound to 127.0.0.1 or something else more 
limited. 
 
Additional info:
Comment 1 Brandon Zehm 2003-11-03 20:50:03 EST
Created attachment 95698 [details]
Proposed patch against Redhat 9's sysklogd-1.4.1-12.src.rpm
Comment 2 Brandon Zehm 2003-11-03 20:51:42 EST
Created attachment 95699 [details]
An updated srpm with the above patch applied.
Comment 3 Jason Vas Dias 2005-06-03 12:50:55 EDT
Sorry for the delay in processing this bug - it somehow slipped through
the cracks.

Yes, I agree this would be a sensible enhancement and will look at
implementing it shortly in Fedora / Rawhide, along with IPv6 forwarding
support .
Comment 4 Bill Nottingham 2006-08-05 01:50:11 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2007-01-02 14:28:20 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.